// creator  : weidu.exe (version 23100)
// argument : _DEGROD.DLG
// game		 : .
// source	 : ./override/_DEGROD.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_DEGROD~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #79465 /* ~You have done well to bypass all of my guardians.  I should be angry with you, but to be truthful, I have been on the lookout for skilled adventurers. So, I would ask you, do you wish to help me in a task, or would you rather die?~ */
  IF ~~ THEN REPLY #79466 /* ~Don't threaten us mage!  We've dealt with far more powerful than you.~ */ GOTO 1
  IF ~~ THEN REPLY #79467 /* ~We want to die.~ */ GOTO 1
  IF ~~ THEN REPLY #79468 /* ~What is it that you want us to do?~ */ GOTO 2
  IF ~Global("X#VicDegro","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicDegro","GLOBAL",1)~ EXTERN ~_VICONJ~ 92
END

IF ~~ THEN BEGIN 1 // from: 0.1 0.0
  SAY #79469 /* ~So you want to die, do you?  Well then, let me assist you in achieving your desire.~ */
  IF ~~ THEN DO ~CreateCreature("_HELMHO",[371.427],0)
CreateCreature("_DOOMGU",[418.460],0)
CreateCreature("_DOOMGU",[326.489],0)
CreateCreature("_STALKE",[351.605],0)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.2
  SAY #79478 /* ~First of all, my name is Degrodel.  I can only assume that you're <CHARNAME>, the adventurer who has been stirring up so much trouble in the recent past.  Now that introductions are done, let us get down to business.  My task is very simple.  Some years ago, an evil band of mercenaries were all petrified while trying to break into the home of Ramazith.  For those of you with a limited vocabulary, petrified means 'turned to stone.'  Anyhow, one of those adventurers had in his possession an item of power: the Helm of Balduran.  Ramazith didn't know this at the time and so, after turning them all to stone, he simply sold their bodies to an art collector living in the heart of Baldur's Gate.  What I would like you to do is find these statues, turn them back to flesh, and take the item.~ */
  IF ~~ THEN REPLY #79479 /* ~How much are we going to be paid to do you this service?~ */ GOTO 4
  IF ~~ THEN REPLY #79480 /* ~How do we turn them from stone back to flesh?~ */ GOTO 5
  IF ~~ THEN REPLY #79481 /* ~How did you come by this information?~ */ GOTO 3
  IF ~Global("X#DEGROD2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEGROD2","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 174
  IF ~Global("X#DEGROD2","GLOBAL",0)
InParty("coran")
InMyArea("coran")
!StateCheck("coran",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEGROD2","GLOBAL",1)~ EXTERN ~_CORANJ~ 574
  IF ~Global("X#DEGROD2","GLOBAL",0)
InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEGROD2","GLOBAL",1)~ EXTERN ~_QUAYLJ~ 40
END

IF ~~ THEN BEGIN 3 // from: _DYNAHJ:176.2 _DYNAHJ:175.2 _DYNAHJ:174.2 4.1 2.2 _CORANJ:575.2 _CORANJ:574.2
  SAY #79482 /* ~How I came by this information is unimportant.  Suffice to say, no one but I know of this, and I would like to keep it that way.~ */
  IF ~~ THEN REPLY #79479 /* ~How much are we going to be paid to do you this service?~ */ GOTO 4
  IF ~~ THEN REPLY #79480 /* ~How do we turn them from stone back to flesh?~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: _DYNAHJ:176.0 _DYNAHJ:175.0 _DYNAHJ:174.0 3.0 2.0 _CORANJ:575.0 _CORANJ:574.0
  SAY #79483 /* ~You will be paid 5,000 gold for this service.  This is a kingly sum, so I won't barter with you about the amount.~ */
  IF ~~ THEN REPLY #79480 /* ~How do we turn them from stone back to flesh?~ */ GOTO 5
  IF ~~ THEN REPLY #79481 /* ~How did you come by this information?~ */ GOTO 3
END

IF ~~ THEN BEGIN 5 // from: _DYNAHJ:176.1 _DYNAHJ:175.1 _DYNAHJ:174.1 4.0 3.1 2.1 _CORANJ:575.1 _CORANJ:574.1
  SAY #79484 /* ~Very simple really.  I will give you these six scrolls of Stone to Flesh.  Use them on the statues when you find them.  The estate can be found just west of the fairgrounds in the center of town.  Good luck, and don't entertain any thoughts about betraying me.  It could be very hazardous to your health.~ */
  IF ~~ THEN DO ~SetGlobal("Baldurian","GLOBAL",1)
GiveItem("_SCRLPET",LastTalkedToBy)
GiveItem("_SCRLPET",LastTalkedToBy)
GiveItem("_SCRLPET",LastTalkedToBy)
GiveItem("_SCRLPET",LastTalkedToBy)
GiveItem("_SCRLPET",LastTalkedToBy)
GiveItem("_SCRLPET",LastTalkedToBy)
~ UNSOLVED_JOURNAL #79485 /* ~The Helm of Balduran

I've been hired to do a service for a wizard named Degrodel.  He wants me to find the Helm of Balduran.  Evidently, the helm can be found on the petrified bodies of a group of adventurers which are currently in the possession of an art dealer who lives in an estate just west of the fair grounds.  Once I have the helm, I can find Degrodel in his estate in the northwest part of town.~ */ EXIT
END

IF ~!PartyHasItem("HELM07")
~ THEN BEGIN 6 // from:
  SAY #79486 /* ~You don't have the Helm of Balduran!  Until you have the helm, don't bother me!~ */
  IF ~~ THEN EXIT
END

IF ~PartyHasItem("HELM07")
~ THEN BEGIN 7 // from:
  SAY #79487 /* ~Thank you for returning with the helm of Balduran.  It was so good to do business together.  Here is your payment, and I shall take the helm.  Now I must be off, I'll leave you with some of my servants to escort you out.  My servants aren't known for their gentle nature, so I would leave as soon as possible.~ */
  IF ~~ THEN DO ~GiveGoldForce(5000)
TakePartyItem("HELM07")
CreateCreature("_HELMHO",[371.427],0)
CreateCreature("_DOOMGU",[418.460],0)
CreateCreature("_DOOMGU",[326.489],0)
CreateCreature("_STALKE",[351.605],0)
SetGlobal("MACHelmQuestDone","GLOBAL",1)
EraseJournalEntry(79485)
EraseJournalEntry(81867)
EraseJournalEntry(79699)
EscapeArea()
~ SOLVED_JOURNAL #88963 /* ~The Helm of Balduran

I returned the Helm of Balduran to Degrodel, who rewarded me handsomely.  He then summoned a small legion of "servants" to chase me out the door.  Just like a wizard...~ */ EXIT
END
